Summary:   GIF manipulating library
Name:      gd
Version:   1.5
Release:   1
URL:       http://www.boutell.com/gd/
Source:    http://www.boutell.com/gd/gd%{version}.tar.gz
Patch:     gd-shared.patch
Copyright: BSD-style
Group:     System Environment/Libraries
Obsoletes: libgd
BuildRoot: /tmp/%{name}-%{version}-root

%description
This is the gd gif-manipulating library. It was created to allow graphs,
charts and the like to be generated on the fly for use on the World wide Web,
but is useful for any application in which custom .GIFs are useful. It is not
a paint program; it is a library.

%package devel
Summary:  header files and libraries needed for gd development
Group:    Development/Libraries
Requires: %{name} = %{version}

%description devel
This package includes the header files and libraries needed for
developing programs using gd.

%prep
%setup -q -n gd%{version}

%patch -p1

%build
CFLAGS="$RPM_OPT_FLAGS" make all libgd.a

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/usr/{bin,lib,include}
install -m 755 gd2copypal gd2time gd2togif gd2tolzw gdparttogif \
               gdtogif giftogd giftogd2 giftolzw webgif $RPM_BUILD_ROOT/usr/bin
install -m 644 *.h $RPM_BUILD_ROOT/usr/include
install -m 644 libgd.a $RPM_BUILD_ROOT/usr/lib
install -m 755 libgd.so.%{version} $RPM_BUILD_ROOT/usr/lib
ln -sf libgd.so.%{version} $RPM_BUILD_ROOT/usr/lib/libgd.so

strip $RPM_BUILD_ROOT/usr/{bin/*,lib/lib*.so.*.*}

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc index.html readme.txt
/usr/bin/*
/usr/lib/lib*.so.*.*

%files devel
%defattr(-,root,root)
/usr/lib/lib*.a
/usr/lib/lib*.so
/usr/include/*

%changelog
* Fri Jul 02 1999 Arne Coucheron <arneco@online.no>
  [1.5-1]

* Tue Jun 22 1999 Arne Coucheron <arneco@online.no>
  [1.4-1]
- name of package changed to gd, since the RH 6.0 package is named that
- changed Group: to comply with RH 6.0

* Tue Jan 04 1999 Arne Coucheron <arneco@online.no>
  [1.3-4]
- didn't compile from src.rpm unless an older version of libgd was installed

* Thu Dec 10 1998 Arne Coucheron <arneco@online.no>
  [1.3-3]
- some changes in the shared patch

* Sat May 30 1998 Arne Coucheron <arneco@online.no>
  [1.3-2]
- libgd.so is chmod 755 again
- added -q parameter to %setup
- using %%version instead of %%{PACKAGE_VERSION}
- using %defattr macro in filelist

* Sat May 09 1998 Arne Coucheron <arneco@online.no>
  [1.3-1]
- using predefined %%{PACKAGE_VERSION}
- added striping of the library
- made libgd.so chmod 644

* Mon Apr 20 1998 Arne Coucheron <arneco@online.no>
  [1.2-1]
- cleanups to spec file
- added webgif and giftogd binaries
- added a patch to make shared libraries
- splitted the package into a main and devel package
- changed package name to libgd to avoid name collision with another package